<div class="workbench-boundary" xmlns:svg="http://www.w3.org/1999/html">
  <div *ngFor="let deviceKey of getKeys(devicesMap)"
       id="{{devicesMap.get(deviceKey).id}}"
       cdkDragBoundary=".workbench-boundary"
       (cdkDragMoved)="updatePosition($event, devicesMap.get(deviceKey).id)"
       class="workbench-element-box"
       [ngClass]="{
          'workbench-element-router' : isRouter(devicesMap.get(deviceKey)),
          'workbench-element-switch' : isSwitch(devicesMap.get(deviceKey)),
          'workbench-element-switch-active' : isSwitchActive(devicesMap.get(deviceKey)),
          'workbench-element-router-active' : isRouterActive(devicesMap.get(deviceKey))
       }"
       (click)="onClick(devicesMap.get(deviceKey))" cdkDrag
       (contextmenu)="onRightClick(devicesMap.get(deviceKey))">
    {{devicesMap.get(deviceKey).name}}
  </div>

  <div>
    <svg class="svg svg--nosizes" [style.width]="innerWidth"
                                  [style.height]="innerHeight">
      <svg:line *ngFor="let linkKey of getKeys(linksMap)"
                class="path"
                id="link-{{linksMap.get(linkKey).id}}"
                [attr.x1]="linksMap.get(linkKey).x1"
                [attr.y1]="linksMap.get(linkKey).y1"
                [attr.x2]="linksMap.get(linkKey).x2"
                [attr.y2]="linksMap.get(linkKey).y2"
                (contextmenu)="onRightClick(linksMap.get(linkKey))"/>
    </svg>
  </div>


</div>
